import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../../../theme/variables.dart';

// ignore: must_be_immutable
class ActionButtons extends StatelessWidget {
  int index;
  Function readMore;
  ActionButtons(this.index, this.readMore);

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Row(
        mainAxisAlignment: MainAxisAlignment.end,
        children: <Widget>[
          // IconButton(
          //   onPressed: () {},
          //   icon: new Icon(
          //     Icons.pie_chart_rounded,
          //     color: Variables.color_primary,
          //   ),
          // ),
          TextButton(
            onPressed: () {
              readMore(this.index);
            },
            child: Text(
              "read-more".tr,
              style: TextStyle(color: Variables.color_primary),
            ),
          )
        ],
      ),
    );
  }
}
